Package net.sf.saxon.lib

## Class FeatureCode

- java.lang.Object
- - net.sf.saxon.lib.FeatureCode

-     public abstract class FeatureCode
      extends java.lang.Object

  FeatureCode defines a set of integer constants, representing unique identifiers for the features that can be configured. This module is generated from the master XML file listing all the features.

  The integer codes are intended to remain stable across Saxon releases so that compiled code using these integer codes will continue to work without recompilation.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ALLOW_EXTERNAL_FUNCTIONS` |
    `static int` | `ALLOW_MULTITHREADING` |
    `static int` | `ALLOW_OLD_JAVA_URI_FORMAT` |
    `static int` | `ALLOW_SYNTAX_EXTENSIONS` |
    `static int` | `ALLOW_UNRESOLVED_SCHEMA_COMPONENTS` |
    `static int` | `ALLOWED_PROTOCOLS` |
    `static int` | `ASSERTIONS_CAN_SEE_COMMENTS` |
    `static int` | `COLLATION_URI_RESOLVER` |
    `static int` | `COLLATION_URI_RESOLVER_CLASS` |
    `static int` | `COLLECTION_FINDER` |
    `static int` | `COLLECTION_FINDER_CLASS` |
    `static int` | `COMPILE_WITH_TRACING` |
    `static int` | `CONFIGURATION` |
    `static int` | `CONFIGURATION_FILE` |
    `static int` | `DEBUG_BYTE_CODE` |
    `static int` | `DEBUG_BYTE_CODE_DIR` |
    `static int` | `DEFAULT_COLLATION` |
    `static int` | `DEFAULT_COLLECTION` |
    `static int` | `DEFAULT_COUNTRY` |
    `static int` | `DEFAULT_LANGUAGE` |
    `static int` | `DEFAULT_REGEX_ENGINE` |
    `static int` | `DISABLE_XSL_EVALUATE` |
    `static int` | `DISPLAY_BYTE_CODE` |
    `static int` | `DTD_VALIDATION` |
    `static int` | `DTD_VALIDATION_RECOVERABLE` |
    `static int` | `EAGER_EVALUATION` |
    `static int` | `ENTITY_RESOLVER_CLASS` |
    `static int` | `ENVIRONMENT_VARIABLE_RESOLVER` |
    `static int` | `ENVIRONMENT_VARIABLE_RESOLVER_CLASS` |
    `static int` | `ERROR_LISTENER_CLASS` |
    `static int` | `EXPAND_ATTRIBUTE_DEFAULTS` |
    `static int` | `EXPATH_FILE_DELETE_TEMPORARY_FILES` |
    `static int` | `GENERATE_BYTE_CODE` |
    `static int` | `IGNORE_SAX_SOURCE_PARSER` |
    `static int` | `IMPLICIT_SCHEMA_IMPORTS` |
    `static int` | `LAZY_CONSTRUCTION_MODE` |
    `static int` | `LICENSE_FILE_LOCATION` |
    `static int` | `LINE_NUMBERING` |
    `static int` | `MARK_DEFAULTED_ATTRIBUTES` |
    `static int` | `MAX` |
    `static int` | `MAX_COMPILED_CLASSES` |
    `static int` | `MESSAGE_EMITTER_CLASS` |
    `static int` | `MODULE_URI_RESOLVER` |
    `static int` | `MODULE_URI_RESOLVER_CLASS` |
    `static int` | `MONITOR_HOT_SPOT_BYTE_CODE` |
    `static int` | `MULTIPLE_SCHEMA_IMPORTS` |
    `static int` | `NAME_POOL` |
    `static int` | `OCCURRENCE_LIMITS` |
    `static int` | `OPTIMIZATION_LEVEL` |
    `static int` | `OUTPUT_URI_RESOLVER` |
    `static int` | `OUTPUT_URI_RESOLVER_CLASS` |
    `static int` | `PRE_EVALUATE_DOC_FUNCTION` |
    `static int` | `PREFER_JAXP_PARSER` |
    `static int` | `RECOGNIZE_URI_QUERY_PARAMETERS` |
    `static int` | `RECOVERY_POLICY` |
    `static int` | `RECOVERY_POLICY_NAME` |
    `static int` | `REGEX_BACKTRACKING_LIMIT` |
    `static int` | `RESULT_DOCUMENT_THREADS` |
    `static int` | `RETAIN_DTD_ATTRIBUTE_TYPES` |
    `static int` | `RETAIN_NODE_FOR_DIAGNOSTICS` |
    `static int` | `SCHEMA_URI_RESOLVER` |
    `static int` | `SCHEMA_URI_RESOLVER_CLASS` |
    `static int` | `SCHEMA_VALIDATION` |
    `static int` | `SCHEMA_VALIDATION_MODE` |
    `static int` | `SERIALIZER_FACTORY_CLASS` |
    `static int` | `SOURCE_PARSER_CLASS` |
    `static int` | `SOURCE_RESOLVER_CLASS` |
    `static int` | `STABLE_COLLECTION_URI` |
    `static int` | `STABLE_UNPARSED_TEXT` |
    `static int` | `STANDARD_ERROR_OUTPUT_FILE` |
    `static int` | `STREAMABILITY` |
    `static int` | `STREAMING_FALLBACK` |
    `static int` | `STRICT_STREAMABILITY` |
    `static int` | `STRIP_WHITESPACE` |
    `static int` | `STYLE_PARSER_CLASS` |
    `static int` | `SUPPRESS_EVALUATION_EXPIRY_WARNING` |
    `static int` | `SUPPRESS_XPATH_WARNINGS` |
    `static int` | `SUPPRESS_XSLT_NAMESPACE_CHECK` |
    `static int` | `THRESHOLD_FOR_COMPILING_TYPES` |
    `static int` | `THRESHOLD_FOR_FUNCTION_INLINING` |
    `static int` | `THRESHOLD_FOR_HOTSPOT_BYTE_CODE` |
    `static int` | `TIMING` |
    `static int` | `TRACE_EXTERNAL_FUNCTIONS` |
    `static int` | `TRACE_LISTENER` |
    `static int` | `TRACE_LISTENER_CLASS` |
    `static int` | `TRACE_LISTENER_OUTPUT_FILE` |
    `static int` | `TRACE_OPTIMIZER_DECISIONS` |
    `static int` | `TREE_MODEL` |
    `static int` | `TREE_MODEL_NAME` |
    `static int` | `UNPARSED_TEXT_URI_RESOLVER` |
    `static int` | `UNPARSED_TEXT_URI_RESOLVER_CLASS` |
    `static int` | `URI_RESOLVER_CLASS` |
    `static int` | `USE_PI_DISABLE_OUTPUT_ESCAPING` |
    `static int` | `USE_TYPED_VALUE_CACHE` |
    `static int` | `USE_XSI_SCHEMA_LOCATION` |
    `static int` | `VALIDATION_COMMENTS` |
    `static int` | `VALIDATION_WARNINGS` |
    `static int` | `VERSION_WARNING` |
    `static int` | `XINCLUDE` |
    `static int` | `XML_PARSER_FEATURE` |
    `static int` | `XML_PARSER_PROPERTY` |
    `static int` | `XML_VERSION` |
    `static int` | `XPATH_VERSION_FOR_XSD` |
    `static int` | `XPATH_VERSION_FOR_XSLT` |
    `static int` | `XQUERY_ALLOW_UPDATE` |
    `static int` | `XQUERY_CONSTRUCTION_MODE` |
    `static int` | `XQUERY_DEFAULT_ELEMENT_NAMESPACE` |
    `static int` | `XQUERY_DEFAULT_FUNCTION_NAMESPACE` |
    `static int` | `XQUERY_EMPTY_LEAST` |
    `static int` | `XQUERY_INHERIT_NAMESPACES` |
    `static int` | `XQUERY_MULTIPLE_MODULE_IMPORTS` |
    `static int` | `XQUERY_PRESERVE_BOUNDARY_SPACE` |
    `static int` | `XQUERY_PRESERVE_NAMESPACES` |
    `static int` | `XQUERY_REQUIRED_CONTEXT_ITEM_TYPE` |
    `static int` | `XQUERY_SCHEMA_AWARE` |
    `static int` | `XQUERY_STATIC_ERROR_LISTENER_CLASS` |
    `static int` | `XQUERY_VERSION` |
    `static int` | `XSD_VERSION` |
    `static int` | `XSLT_ENABLE_ASSERTIONS` |
    `static int` | `XSLT_INITIAL_MODE` |
    `static int` | `XSLT_INITIAL_TEMPLATE` |
    `static int` | `XSLT_SCHEMA_AWARE` |
    `static int` | `XSLT_STATIC_ERROR_LISTENER_CLASS` |
    `static int` | `XSLT_STATIC_URI_RESOLVER_CLASS` |
    `static int` | `XSLT_VERSION` |
    `static int` | `ZIP_URI_PATTERN` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FeatureCode()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALLOW_EXTERNAL_FUNCTIONS

          public static final int ALLOW_EXTERNAL_FUNCTIONS

      See Also:
        `Feature.ALLOW_EXTERNAL_FUNCTIONS`, Constant Field Values

    - #### ALLOW_MULTITHREADING

          public static final int ALLOW_MULTITHREADING

      See Also:
        `Feature.ALLOW_MULTITHREADING`, Constant Field Values

    - #### ALLOW_OLD_JAVA_URI_FORMAT

          public static final int ALLOW_OLD_JAVA_URI_FORMAT

      See Also:
        `Feature.ALLOW_OLD_JAVA_URI_FORMAT`, Constant Field Values

    - #### ALLOW_SYNTAX_EXTENSIONS

          public static final int ALLOW_SYNTAX_EXTENSIONS

      See Also:
        `Feature.ALLOW_SYNTAX_EXTENSIONS`, Constant Field Values

    - #### ASSERTIONS_CAN_SEE_COMMENTS

          public static final int ASSERTIONS_CAN_SEE_COMMENTS

      See Also:
        `Feature.ASSERTIONS_CAN_SEE_COMMENTS`, Constant Field Values

    - #### COLLATION_URI_RESOLVER

          public static final int COLLATION_URI_RESOLVER

      See Also:
        `Feature.COLLATION_URI_RESOLVER`, Constant Field Values

    - #### COLLATION_URI_RESOLVER_CLASS

          public static final int COLLATION_URI_RESOLVER_CLASS

      See Also:
        `Feature.COLLATION_URI_RESOLVER_CLASS`, Constant Field Values

    - #### COLLECTION_FINDER

          public static final int COLLECTION_FINDER

      See Also:
        `Feature.COLLECTION_FINDER`, Constant Field Values

    - #### COLLECTION_FINDER_CLASS

          public static final int COLLECTION_FINDER_CLASS

      See Also:
        `Feature.COLLECTION_FINDER_CLASS`, Constant Field Values

    - #### COMPILE_WITH_TRACING

          public static final int COMPILE_WITH_TRACING

      See Also:
        `Feature.COMPILE_WITH_TRACING`, Constant Field Values

    - #### CONFIGURATION

          public static final int CONFIGURATION

      See Also:
        `Feature.CONFIGURATION`, Constant Field Values

    - #### CONFIGURATION_FILE

          public static final int CONFIGURATION_FILE

      See Also:
        `Feature.CONFIGURATION_FILE`, Constant Field Values

    - #### DEBUG_BYTE_CODE

          public static final int DEBUG_BYTE_CODE

      See Also:
        `Feature.DEBUG_BYTE_CODE`, Constant Field Values

    - #### DEBUG_BYTE_CODE_DIR

          public static final int DEBUG_BYTE_CODE_DIR

      See Also:
        `Feature.DEBUG_BYTE_CODE_DIR`, Constant Field Values

    - #### DEFAULT_COLLATION

          public static final int DEFAULT_COLLATION

      See Also:
        `Feature.DEFAULT_COLLATION`, Constant Field Values

    - #### DEFAULT_COLLECTION

          public static final int DEFAULT_COLLECTION

      See Also:
        `Feature.DEFAULT_COLLECTION`, Constant Field Values

    - #### DEFAULT_COUNTRY

          public static final int DEFAULT_COUNTRY

      See Also:
        `Feature.DEFAULT_COUNTRY`, Constant Field Values

    - #### DEFAULT_LANGUAGE

          public static final int DEFAULT_LANGUAGE

      See Also:
        `Feature.DEFAULT_LANGUAGE`, Constant Field Values

    - #### DEFAULT_REGEX_ENGINE

          public static final int DEFAULT_REGEX_ENGINE

      See Also:
        `Feature.DEFAULT_REGEX_ENGINE`, Constant Field Values

    - #### DISABLE_XSL_EVALUATE

          public static final int DISABLE_XSL_EVALUATE

      See Also:
        `Feature.DISABLE_XSL_EVALUATE`, Constant Field Values

    - #### DISPLAY_BYTE_CODE

          public static final int DISPLAY_BYTE_CODE

      See Also:
        `Feature.DISPLAY_BYTE_CODE`, Constant Field Values

    - #### DTD_VALIDATION

          public static final int DTD_VALIDATION

      See Also:
        `Feature.DTD_VALIDATION`, Constant Field Values

    - #### DTD_VALIDATION_RECOVERABLE

          public static final int DTD_VALIDATION_RECOVERABLE

      See Also:
        `Feature.DTD_VALIDATION_RECOVERABLE`, Constant Field Values

    - #### EAGER_EVALUATION

          public static final int EAGER_EVALUATION

      See Also:
        `Feature.EAGER_EVALUATION`, Constant Field Values

    - #### ENTITY_RESOLVER_CLASS

          public static final int ENTITY_RESOLVER_CLASS

      See Also:
        `Feature.ENTITY_RESOLVER_CLASS`, Constant Field Values

    - #### ENVIRONMENT_VARIABLE_RESOLVER

          public static final int ENVIRONMENT_VARIABLE_RESOLVER

      See Also:
        `Feature.ENVIRONMENT_VARIABLE_RESOLVER`, Constant Field Values

    - #### ENVIRONMENT_VARIABLE_RESOLVER_CLASS

          public static final int ENVIRONMENT_VARIABLE_RESOLVER_CLASS

      See Also:
        `Feature.ENVIRONMENT_VARIABLE_RESOLVER_CLASS`, Constant Field Values

    - #### ERROR_LISTENER_CLASS

          public static final int ERROR_LISTENER_CLASS

      See Also:
        `Feature.ERROR_LISTENER_CLASS`, Constant Field Values

    - #### EXPAND_ATTRIBUTE_DEFAULTS

          public static final int EXPAND_ATTRIBUTE_DEFAULTS

      See Also:
        `Feature.EXPAND_ATTRIBUTE_DEFAULTS`, Constant Field Values

    - #### EXPATH_FILE_DELETE_TEMPORARY_FILES

          public static final int EXPATH_FILE_DELETE_TEMPORARY_FILES

      See Also:
        `Feature.EXPATH_FILE_DELETE_TEMPORARY_FILES`, Constant Field Values

    - #### GENERATE_BYTE_CODE

          public static final int GENERATE_BYTE_CODE

      See Also:
        `Feature.GENERATE_BYTE_CODE`, Constant Field Values

    - #### IGNORE_SAX_SOURCE_PARSER

          public static final int IGNORE_SAX_SOURCE_PARSER

      See Also:
        `Feature.IGNORE_SAX_SOURCE_PARSER`, Constant Field Values

    - #### IMPLICIT_SCHEMA_IMPORTS

          public static final int IMPLICIT_SCHEMA_IMPORTS

      See Also:
        `Feature.IMPLICIT_SCHEMA_IMPORTS`, Constant Field Values

    - #### LAZY_CONSTRUCTION_MODE

          public static final int LAZY_CONSTRUCTION_MODE

      See Also:
        `Feature.LAZY_CONSTRUCTION_MODE`, Constant Field Values

    - #### LICENSE_FILE_LOCATION

          public static final int LICENSE_FILE_LOCATION

      See Also:
        `Feature.LICENSE_FILE_LOCATION`, Constant Field Values

    - #### LINE_NUMBERING

          public static final int LINE_NUMBERING

      See Also:
        `Feature.LINE_NUMBERING`, Constant Field Values

    - #### MARK_DEFAULTED_ATTRIBUTES

          public static final int MARK_DEFAULTED_ATTRIBUTES

      See Also:
        `Feature.MARK_DEFAULTED_ATTRIBUTES`, Constant Field Values

    - #### MAX_COMPILED_CLASSES

          public static final int MAX_COMPILED_CLASSES

      See Also:
        `Feature.MAX_COMPILED_CLASSES`, Constant Field Values

    - #### MESSAGE_EMITTER_CLASS

          public static final int MESSAGE_EMITTER_CLASS

      See Also:
        `Feature.MESSAGE_EMITTER_CLASS`, Constant Field Values

    - #### MODULE_URI_RESOLVER

          public static final int MODULE_URI_RESOLVER

      See Also:
        `Feature.MODULE_URI_RESOLVER`, Constant Field Values

    - #### MODULE_URI_RESOLVER_CLASS

          public static final int MODULE_URI_RESOLVER_CLASS

      See Also:
        `Feature.MODULE_URI_RESOLVER_CLASS`, Constant Field Values

    - #### MONITOR_HOT_SPOT_BYTE_CODE

          public static final int MONITOR_HOT_SPOT_BYTE_CODE

      See Also:
        `Feature.MONITOR_HOT_SPOT_BYTE_CODE`, Constant Field Values

    - #### MULTIPLE_SCHEMA_IMPORTS

          public static final int MULTIPLE_SCHEMA_IMPORTS

      See Also:
        `Feature.MULTIPLE_SCHEMA_IMPORTS`, Constant Field Values

    - #### NAME_POOL

          public static final int NAME_POOL

      See Also:
        `Feature.NAME_POOL`, Constant Field Values

    - #### OCCURRENCE_LIMITS

          public static final int OCCURRENCE_LIMITS

      See Also:
        `Feature.OCCURRENCE_LIMITS`, Constant Field Values

    - #### OPTIMIZATION_LEVEL

          public static final int OPTIMIZATION_LEVEL

      See Also:
        `Feature.OPTIMIZATION_LEVEL`, Constant Field Values

    - #### OUTPUT_URI_RESOLVER

          public static final int OUTPUT_URI_RESOLVER

      See Also:
        `Feature.OUTPUT_URI_RESOLVER`, Constant Field Values

    - #### OUTPUT_URI_RESOLVER_CLASS

          public static final int OUTPUT_URI_RESOLVER_CLASS

      See Also:
        `Feature.OUTPUT_URI_RESOLVER_CLASS`, Constant Field Values

    - #### PRE_EVALUATE_DOC_FUNCTION

          public static final int PRE_EVALUATE_DOC_FUNCTION

      See Also:
        `Feature.PRE_EVALUATE_DOC_FUNCTION`, Constant Field Values

    - #### PREFER_JAXP_PARSER

          public static final int PREFER_JAXP_PARSER

      See Also:
        `Feature.PREFER_JAXP_PARSER`, Constant Field Values

    - #### RECOGNIZE_URI_QUERY_PARAMETERS

          public static final int RECOGNIZE_URI_QUERY_PARAMETERS

      See Also:
        `Feature.RECOGNIZE_URI_QUERY_PARAMETERS`, Constant Field Values

    - #### RECOVERY_POLICY

          public static final int RECOVERY_POLICY

      See Also:
        `Feature.RECOVERY_POLICY`, Constant Field Values

    - #### RECOVERY_POLICY_NAME

          public static final int RECOVERY_POLICY_NAME

      See Also:
        `Feature.RECOVERY_POLICY_NAME`, Constant Field Values

    - #### RESULT_DOCUMENT_THREADS

          public static final int RESULT_DOCUMENT_THREADS

      See Also:
        `Feature.RESULT_DOCUMENT_THREADS`, Constant Field Values

    - #### RETAIN_DTD_ATTRIBUTE_TYPES

          public static final int RETAIN_DTD_ATTRIBUTE_TYPES

      See Also:
        `Feature.RETAIN_DTD_ATTRIBUTE_TYPES`, Constant Field Values

    - #### SCHEMA_URI_RESOLVER

          public static final int SCHEMA_URI_RESOLVER

      See Also:
        `Feature.SCHEMA_URI_RESOLVER`, Constant Field Values

    - #### SCHEMA_URI_RESOLVER_CLASS

          public static final int SCHEMA_URI_RESOLVER_CLASS

      See Also:
        `Feature.SCHEMA_URI_RESOLVER_CLASS`, Constant Field Values

    - #### SCHEMA_VALIDATION

          public static final int SCHEMA_VALIDATION

      See Also:
        `Feature.SCHEMA_VALIDATION`, Constant Field Values

    - #### SCHEMA_VALIDATION_MODE

          public static final int SCHEMA_VALIDATION_MODE

      See Also:
        `Feature.SCHEMA_VALIDATION_MODE`, Constant Field Values

    - #### SERIALIZER_FACTORY_CLASS

          public static final int SERIALIZER_FACTORY_CLASS

      See Also:
        `Feature.SERIALIZER_FACTORY_CLASS`, Constant Field Values

    - #### SOURCE_PARSER_CLASS

          public static final int SOURCE_PARSER_CLASS

      See Also:
        `Feature.SOURCE_PARSER_CLASS`, Constant Field Values

    - #### SOURCE_RESOLVER_CLASS

          public static final int SOURCE_RESOLVER_CLASS

      See Also:
        `Feature.SOURCE_RESOLVER_CLASS`, Constant Field Values

    - #### STABLE_COLLECTION_URI

          public static final int STABLE_COLLECTION_URI

      See Also:
        `Feature.STABLE_COLLECTION_URI`, Constant Field Values

    - #### STABLE_UNPARSED_TEXT

          public static final int STABLE_UNPARSED_TEXT

      See Also:
        `Feature.STABLE_UNPARSED_TEXT`, Constant Field Values

    - #### STANDARD_ERROR_OUTPUT_FILE

          public static final int STANDARD_ERROR_OUTPUT_FILE

      See Also:
        `Feature.STANDARD_ERROR_OUTPUT_FILE`, Constant Field Values

    - #### STREAMABILITY

          public static final int STREAMABILITY

      See Also:
        `Feature.STREAMABILITY`, Constant Field Values

    - #### STRICT_STREAMABILITY

          public static final int STRICT_STREAMABILITY

      See Also:
        `Feature.STRICT_STREAMABILITY`, Constant Field Values

    - #### STREAMING_FALLBACK

          public static final int STREAMING_FALLBACK

      See Also:
        `Feature.STREAMING_FALLBACK`, Constant Field Values

    - #### STRIP_WHITESPACE

          public static final int STRIP_WHITESPACE

      See Also:
        `Feature.STRIP_WHITESPACE`, Constant Field Values

    - #### STYLE_PARSER_CLASS

          public static final int STYLE_PARSER_CLASS

      See Also:
        `Feature.STYLE_PARSER_CLASS`, Constant Field Values

    - #### SUPPRESS_EVALUATION_EXPIRY_WARNING

          public static final int SUPPRESS_EVALUATION_EXPIRY_WARNING

      See Also:
        `Feature.SUPPRESS_EVALUATION_EXPIRY_WARNING`, Constant Field Values

    - #### SUPPRESS_XPATH_WARNINGS

          public static final int SUPPRESS_XPATH_WARNINGS

      See Also:
        `Feature.SUPPRESS_XPATH_WARNINGS`, Constant Field Values

    - #### SUPPRESS_XSLT_NAMESPACE_CHECK

          public static final int SUPPRESS_XSLT_NAMESPACE_CHECK

      See Also:
        `Feature.SUPPRESS_XSLT_NAMESPACE_CHECK`, Constant Field Values

    - #### THRESHOLD_FOR_COMPILING_TYPES

          public static final int THRESHOLD_FOR_COMPILING_TYPES

      See Also:
        `Feature.THRESHOLD_FOR_COMPILING_TYPES`, Constant Field Values

    - #### TIMING

          public static final int TIMING

      See Also:
        `Feature.TIMING`, Constant Field Values

    - #### TRACE_EXTERNAL_FUNCTIONS

          public static final int TRACE_EXTERNAL_FUNCTIONS

      See Also:
        `Feature.TRACE_EXTERNAL_FUNCTIONS`, Constant Field Values

    - #### TRACE_LISTENER

          public static final int TRACE_LISTENER

      See Also:
        `Feature.TRACE_LISTENER`, Constant Field Values

    - #### TRACE_LISTENER_CLASS

          public static final int TRACE_LISTENER_CLASS

      See Also:
        `Feature.TRACE_LISTENER_CLASS`, Constant Field Values

    - #### TRACE_LISTENER_OUTPUT_FILE

          public static final int TRACE_LISTENER_OUTPUT_FILE

      See Also:
        `Feature.TRACE_LISTENER_OUTPUT_FILE`, Constant Field Values

    - #### TRACE_OPTIMIZER_DECISIONS

          public static final int TRACE_OPTIMIZER_DECISIONS

      See Also:
        `Feature.TRACE_OPTIMIZER_DECISIONS`, Constant Field Values

    - #### TREE_MODEL

          public static final int TREE_MODEL

      See Also:
        `Feature.TREE_MODEL`, Constant Field Values

    - #### TREE_MODEL_NAME

          public static final int TREE_MODEL_NAME

      See Also:
        `Feature.TREE_MODEL_NAME`, Constant Field Values

    - #### UNPARSED_TEXT_URI_RESOLVER

          public static final int UNPARSED_TEXT_URI_RESOLVER

      See Also:
        `Feature.UNPARSED_TEXT_URI_RESOLVER`, Constant Field Values

    - #### UNPARSED_TEXT_URI_RESOLVER_CLASS

          public static final int UNPARSED_TEXT_URI_RESOLVER_CLASS

      See Also:
        `Feature.UNPARSED_TEXT_URI_RESOLVER_CLASS`, Constant Field Values

    - #### URI_RESOLVER_CLASS

          public static final int URI_RESOLVER_CLASS

      See Also:
        `Feature.URI_RESOLVER_CLASS`, Constant Field Values

    - #### USE_PI_DISABLE_OUTPUT_ESCAPING

          public static final int USE_PI_DISABLE_OUTPUT_ESCAPING

      See Also:
        `Feature.USE_PI_DISABLE_OUTPUT_ESCAPING`, Constant Field Values

    - #### USE_TYPED_VALUE_CACHE

          public static final int USE_TYPED_VALUE_CACHE

      See Also:
        `Feature.USE_TYPED_VALUE_CACHE`, Constant Field Values

    - #### USE_XSI_SCHEMA_LOCATION

          public static final int USE_XSI_SCHEMA_LOCATION

      See Also:
        `Feature.USE_XSI_SCHEMA_LOCATION`, Constant Field Values

    - #### VALIDATION_COMMENTS

          public static final int VALIDATION_COMMENTS

      See Also:
        `Feature.VALIDATION_COMMENTS`, Constant Field Values

    - #### VALIDATION_WARNINGS

          public static final int VALIDATION_WARNINGS

      See Also:
        `Feature.VALIDATION_WARNINGS`, Constant Field Values

    - #### VERSION_WARNING

          public static final int VERSION_WARNING

      See Also:
        `Feature.VERSION_WARNING`, Constant Field Values

    - #### XINCLUDE

          public static final int XINCLUDE

      See Also:
        `Feature.XINCLUDE`, Constant Field Values

    - #### XML_VERSION

          public static final int XML_VERSION

      See Also:
        `Feature.XML_VERSION`, Constant Field Values

    - #### XML_PARSER_FEATURE

          public static final int XML_PARSER_FEATURE

      See Also:
        `Feature.XML_PARSER_FEATURE`, Constant Field Values

    - #### XML_PARSER_PROPERTY

          public static final int XML_PARSER_PROPERTY

      See Also:
        `Feature.XML_PARSER_PROPERTY`, Constant Field Values

    - #### XQUERY_ALLOW_UPDATE

          public static final int XQUERY_ALLOW_UPDATE

      See Also:
        `Feature.XQUERY_ALLOW_UPDATE`, Constant Field Values

    - #### XQUERY_CONSTRUCTION_MODE

          public static final int XQUERY_CONSTRUCTION_MODE

      See Also:
        `Feature.XQUERY_CONSTRUCTION_MODE`, Constant Field Values

    - #### XQUERY_DEFAULT_ELEMENT_NAMESPACE

          public static final int XQUERY_DEFAULT_ELEMENT_NAMESPACE

      See Also:
        `Feature.XQUERY_DEFAULT_ELEMENT_NAMESPACE`, Constant Field Values

    - #### XQUERY_DEFAULT_FUNCTION_NAMESPACE

          public static final int XQUERY_DEFAULT_FUNCTION_NAMESPACE

      See Also:
        `Feature.XQUERY_DEFAULT_FUNCTION_NAMESPACE`, Constant Field Values

    - #### XQUERY_EMPTY_LEAST

          public static final int XQUERY_EMPTY_LEAST

      See Also:
        `Feature.XQUERY_EMPTY_LEAST`, Constant Field Values

    - #### XQUERY_INHERIT_NAMESPACES

          public static final int XQUERY_INHERIT_NAMESPACES

      See Also:
        `Feature.XQUERY_INHERIT_NAMESPACES`, Constant Field Values

    - #### XQUERY_MULTIPLE_MODULE_IMPORTS

          public static final int XQUERY_MULTIPLE_MODULE_IMPORTS

      See Also:
        `Feature.XQUERY_MULTIPLE_MODULE_IMPORTS`, Constant Field Values

    - #### XQUERY_PRESERVE_BOUNDARY_SPACE

          public static final int XQUERY_PRESERVE_BOUNDARY_SPACE

      See Also:
        `Feature.XQUERY_PRESERVE_BOUNDARY_SPACE`, Constant Field Values

    - #### XQUERY_PRESERVE_NAMESPACES

          public static final int XQUERY_PRESERVE_NAMESPACES

      See Also:
        `Feature.XQUERY_PRESERVE_NAMESPACES`, Constant Field Values

    - #### XQUERY_REQUIRED_CONTEXT_ITEM_TYPE

          public static final int XQUERY_REQUIRED_CONTEXT_ITEM_TYPE

      See Also:
        `Feature.XQUERY_REQUIRED_CONTEXT_ITEM_TYPE`, Constant Field Values

    - #### XQUERY_SCHEMA_AWARE

          public static final int XQUERY_SCHEMA_AWARE

      See Also:
        `Feature.XQUERY_SCHEMA_AWARE`, Constant Field Values

    - #### XQUERY_STATIC_ERROR_LISTENER_CLASS

          public static final int XQUERY_STATIC_ERROR_LISTENER_CLASS

      See Also:
        `Feature.XQUERY_STATIC_ERROR_LISTENER_CLASS`, Constant Field Values

    - #### XQUERY_VERSION

          public static final int XQUERY_VERSION

      See Also:
        `Feature.XQUERY_VERSION`, Constant Field Values

    - #### XSD_VERSION

          public static final int XSD_VERSION

      See Also:
        `Feature.XSD_VERSION`, Constant Field Values

    - #### XSLT_ENABLE_ASSERTIONS

          public static final int XSLT_ENABLE_ASSERTIONS

      See Also:
        `Feature.XSLT_ENABLE_ASSERTIONS`, Constant Field Values

    - #### XSLT_INITIAL_MODE

          public static final int XSLT_INITIAL_MODE

      See Also:
        `Feature.XSLT_INITIAL_MODE`, Constant Field Values

    - #### XSLT_INITIAL_TEMPLATE

          public static final int XSLT_INITIAL_TEMPLATE

      See Also:
        `Feature.XSLT_INITIAL_TEMPLATE`, Constant Field Values

    - #### XSLT_SCHEMA_AWARE

          public static final int XSLT_SCHEMA_AWARE

      See Also:
        `Feature.XSLT_SCHEMA_AWARE`, Constant Field Values

    - #### XSLT_STATIC_ERROR_LISTENER_CLASS

          public static final int XSLT_STATIC_ERROR_LISTENER_CLASS

      See Also:
        `Feature.XSLT_STATIC_ERROR_LISTENER_CLASS`, Constant Field Values

    - #### XSLT_STATIC_URI_RESOLVER_CLASS

          public static final int XSLT_STATIC_URI_RESOLVER_CLASS

      See Also:
        `Feature.XSLT_STATIC_URI_RESOLVER_CLASS`, Constant Field Values

    - #### XSLT_VERSION

          public static final int XSLT_VERSION

      See Also:
        `Feature.XSLT_VERSION`, Constant Field Values

    - #### REGEX_BACKTRACKING_LIMIT

          public static final int REGEX_BACKTRACKING_LIMIT

      See Also:
        `Feature.REGEX_BACKTRACKING_LIMIT`, Constant Field Values

    - #### XPATH_VERSION_FOR_XSD

          public static final int XPATH_VERSION_FOR_XSD

      See Also:
        `Feature.XPATH_VERSION_FOR_XSD`, Constant Field Values

    - #### XPATH_VERSION_FOR_XSLT

          public static final int XPATH_VERSION_FOR_XSLT

      See Also:
        `Feature.XPATH_VERSION_FOR_XSLT`, Constant Field Values

    - #### THRESHOLD_FOR_FUNCTION_INLINING

          public static final int THRESHOLD_FOR_FUNCTION_INLINING

      See Also:
        `Feature.THRESHOLD_FOR_FUNCTION_INLINING`, Constant Field Values

    - #### THRESHOLD_FOR_HOTSPOT_BYTE_CODE

          public static final int THRESHOLD_FOR_HOTSPOT_BYTE_CODE

      See Also:
        `Feature.THRESHOLD_FOR_HOTSPOT_BYTE_CODE`, Constant Field Values

    - #### ALLOWED_PROTOCOLS

          public static final int ALLOWED_PROTOCOLS

      See Also:
        `Feature.ALLOWED_PROTOCOLS`, Constant Field Values

    - #### RETAIN_NODE_FOR_DIAGNOSTICS

          public static final int RETAIN_NODE_FOR_DIAGNOSTICS

      See Also:
        `Feature.RETAIN_NODE_FOR_DIAGNOSTICS`, Constant Field Values

    - #### ALLOW_UNRESOLVED_SCHEMA_COMPONENTS

          public static final int ALLOW_UNRESOLVED_SCHEMA_COMPONENTS

      See Also:
        `Feature.ALLOW_UNRESOLVED_SCHEMA_COMPONENTS`, Constant Field Values

    - #### ZIP_URI_PATTERN

          public static final int ZIP_URI_PATTERN

      See Also:
        `Feature.ZIP_URI_PATTERN`, Constant Field Values

    - #### MAX

          public static final int MAX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FeatureCode

          public FeatureCode()